using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;

var builder = WebAssemblyHostBuilder.CreateDefault(args);
//builder.RootComponents.Add<BlaElements.App>("#app");
builder.RootComponents.Add<HeadOutlet>("head::after");
// Blazor component
//builder.RootComponents.RegisterForJavaScript<BlaElements.Pages.Counter>
//    (identifier: "counter", javaScriptInitializer: "loadApp");
// Custom elements
//builder.RootComponents.RegisterAsCustomElement<BlaElements.Pages.Counter>
//    ("my-blazor-counter");

builder.Services.AddScoped(sp => new HttpClient { BaseAddress = new Uri(builder.HostEnvironment.BaseAddress) });


await builder.Build().RunAsync();
